export const TRANSLATIONS_FR = {
  header: {
    language_select: "Changer de langue"
  },

  // Landing Page
  landing: {
    title: {
      landing: "Connectez-vous et interagissez"
    },

    nav: {
      pricing: "Prix",
      about: "Sur",
      plugin: "Brancher",
      downloads: "Téléchargements",
      contact: "Contact",
      signup: "S'inscrire",
      login: "Connexion"
    },

    hero: {
      pre_headline: "Pour les organisations et institutions",
      headline: "Un moyen entièrement intégré de se connecter et d'interagir",
      post_headline:
        "Créez votre avenir avec nous, réseautez, collaborez, éduquez et apprenez à distance",
      call_to_action: "Essayez Zuri.chat gratuitement"
    },

    featureRowOne: {
      title: "Collaboration transparente",
      headline: "Communiquez et collaborez où que vous soyez",
      description:
        "Invitez votre équipe dans votre espace de travail. Restez connecté, restez synchronisé et explorez des idées ensemble où que vous soyez.",
      link: "Créez votre propre espace de travail"
    },

    featureRowTwo: {
      title: "Enseignement à distance",
      headline: "Apprendre en déplacement",
      description:
        "Emmenez votre classe partout, rendez l'apprentissage amusant, restez engagé et inspiré avec le salon virtuel et les jeux.",
      link: "En savoir plus sur le salon virtuel"
    },

    featureRowThree: {
      title: "Espace de travail tout-en-un",
      headline: "Personnalisez votre espace de travail",
      description:
        "Un outil, plusieurs plugins. Suivez les dépenses de l'entreprise, envoyez des informations rapidement et en douceur, gérez les fichiers et intégrez des outils à Zuri.chat.",
      link: "Explorer les plugins"
    },

    featureRowFour: {
      title: "Recherche Avancée",
      headline:
        "Accédez aux fichiers et aux messages de votre espace de travail sans effort",
      description:
        "Avec l'outil de recherche, trouvez facilement des messages, des fichiers et des liens précédemment partagés.",
      link: "En savoir plus sur la recherche"
    },

    cardOne: {
      title:
        "Un moyen flexible d'éduquer, de collaborer et de faire équipe où que vous soyez",
      button: "Inscrivez-vous maintenant gratuitement"
    },

    cardTwo: {
      title:
        "Soyez le premier à recevoir des mises à jour et des offres exclusives de Zuri Chat",
      description:
        "Enrichissez votre expérience Zuri Chat en vous inscrivant ici pour obtenir les dernières nouvelles et offres spéciales sur Zuri Chat",
      button: "S'abonner"
    },
    footer: {
      company: "Société",
      careers: "Carrières",
      about: "Sur",
      why_zuri_chat: "Pourquoi Zuri Chat?",
      info: "Info",
      legal: "Légal",
      privacy: "Confidentialité et modalités",
      market: "Place du marché",
      security: "Sécurité",
      web3: "Web3/DAO",
      blog: "Blog",
      knowUs: "Connaissez-nous",
      downloads: "Téléchargements",
      contact: "Contact",
      documentation: "Documentation",
      socialMedia: "Des médias sociaux",
      rights: "Tous les droits sont réservés"
    },

    cookies: {
      textOne: "Nous utilisons des",
      textTwo: "cookies",
      textThree: "tiers afin de personnaliser votre expérience sur le site.",
      accept: "Permettre",
      decline: "Déclin"
    }
  },

  // Pricing Page
  pricing: {
    title: {
      pricing: "Tarification - Zuri Chat"
    },

    cardOne: {
      headline: "Caractéristiques",
      post_headline:
        "Créez votre avenir avec nous, réseautez, collaborez, éduquez et apprenez à distance",
      call_to_action: "Essayez Zuri Chat gratuitement"
    },

    cardThree: {
      duration_one: "Annuel",
      duration_two: "Mensuel",
      button: "Commencer"
    },

    sectionThree: {
      headline: "Ouvrir la voie en matière de sécurité d'entreprise",
      description:
        "En plus du cryptage en transit et au repos, nous appliquons des programmes complets de conformité et d'assurance.",
      link: "En savoir plus sur la sécurité..."
    },

    sectionFour: {
      headline:
        "Quel que soit le travail que vous faites, vous pouvez le faire dans Zuri Chat",
      button_one: "Parlez aux ventes",
      button_two: "ESSAI GRATUIT"
    },

    FAQ: {
      headline: "Questions fréquemment posées",
      link_info: "Obtenez plus d'informations sur",
      link: "facturation sur Zuri Chat."
    }
  },

  // Plugin Page
  plugin: {
    title: {
      plugin: "Connectez-vous et interagissez"
    },

    dm: {
      title: "Plugin de messagerie directe",
      headline: "Envoie des messages directs",
      description:
        "Un plugin qui facilite l'envoi de messages entre collaborateurs",
      link: "Explorer le plugin DM "
    },

    tracker: {
      title: "Plugin de suivi des contributions",
      headline:
        "Suivre les contributions des personnes et les points saillants des problèmes urgents",
      description:
        "Un plugin qui vous permet de suivre la contribution des personnes aux projets open source et de mettre en évidence les problèmes les plus urgents",
      link: "Explorer le plugin de suivi des contributions"
    },

    music: {
      title: "Plugin Musique",
      headline: "Accès à la musique et aux vidéos musicales en déplacement !",
      description:
        "Music Plugin permet aux membres d'une organisation d'ajouter des liens musicaux et vidéo de YouTube à une liste de lecture partagée.",
      link: "Explorer les plugins musicaux"
    },

    games: {
      title: "Plugin d'échecs",
      headline:
        "Rendez l'apprentissage amusant, restez engagé avec les jeux virtuels",
      description:
        "Le plugin d'échecs Zuri est un jeu de société récréatif et compétitif basé sur le Web joué entre deux joueurs.",
      link: "Explorer le plug-in de jeux"
    },

    goal: {
      title: "Plugin de l'objectif de l'entreprise",
      headline: "Gardez une trace des objectifs",
      description:
        "Un plugin qui vous permet de suivre les objectifs et les réalisations de l'entreprise",
      link: "Explorez le plugin d'objectif de l'entreprise"
    },

    todo: {
      title: "Plugin à faire",
      headline: "Garde une trace des tâches importantes",
      description:
        "Un plugin qui vous permet de lister tout ce que vous avez à faire et de vous assurer que vos tâches sont écrites au même endroit afin de ne rien oublier d'important.",
      link: "Explorez le plugin de Todo"
    },

    channels: {
      title: "Plugin de canaux",
      headline: "Organise les conversations dans des espaces dédiés",
      description:
        "Un plugin qui permet à un groupe d'individus dans un canal de connaître des informations pertinentes et opportunes afin d'atteindre un certain objectif",
      link: "Explorer le plug-in des chaînes"
    },

    noticeboard: {
      title: "Plugin de tableau d'affichage",
      headline: "Partagez efficacement les informations",
      description:
        "C'est un plugin efficace pour afficher des informations et communiquer avec les collaborateurs",
      link: "Explorer le plugin de tableau d'affichage"
    },

    company_files: {
      title: "Plugin de fichiers d'entreprise",
      headline: "Accéder et gérer efficacement les fichiers de l'entreprise",
      description:
        "Un système de gestion de fichiers efficace qui améliore le flux de travail de l'entreprise, organise les données importantes et fournit une base de données consultable pour une récupération rapide.",
      link: "Explorer les plugins de fichiers d'entreprise"
    },

    company_sales: {
      title: "Plugin de vente d'entreprise",
      headline: "Garde une trace de l'enregistrement des ventes",
      description:
        "Un système de vente efficace qui assure le suivi des dossiers de vente de l'entreprise.",
      link: "Explorer les plugins de vente de l'entreprise"
    },

    deadline: {
      title: "Plugins de date limite",
      headline: "Suivi des délais",
      description:
        "Un plugin qui garde une trace des échéances des tâches, des événements, des projets assignés aux membres d'une organisation",
      link: "Explorez les plugins de date limite"
    },

    expenses: {
      title: "Plugins de dépenses",
      headline: "Garde une trace des dépenses",
      description:
        "Un plugin qui aide à garder un enregistrement précis des dépenses d'une entreprise",
      link: "Explorer les plugins de dépenses"
    },

    duty_shift: {
      title: "Plugin Duty Shift",
      headline:
        "Le suivi de vos quarts de travail n'a jamais été aussi simple!",
      description:
        "Un plugin qui aide les individus à suivre leurs heures de travail et à communiquer avec d'autres employés.",
      link: "Explorer le plugin Duty Shift"
    },

    external_tools: {
      title: "Plugins d'outils externes",
      headline: "Utilisation d'outils tiers",
      description:
        "Le plugin External Tools est une fonctionnalité qui permet aux utilisateurs d'interagir avec des outils tiers tels que Google Drive, Figma, Github, etc. pour rendre le flux de travail pour eux-mêmes ou leur équipe plus rapide et plus facile.",
      link: "Explorer le plug-in d'outils"
    },

    whiteboard: {
      title: "Plugin de tableau blanc",
      headline: "Partage d'idées et collaborations d'équipe",
      description:
        "Le plugin de tableau blanc est utilisé pour visualiser des pensées, des concepts, écrire des idées, expliquer et enseigner, planifier et créer au sein d'un certain groupe d'individus",
      link: "Explorer les plugins de tableau blanc"
    },

    holiday: {
      title: "Plugin Calendrier des Fêtes",
      headline: "Horaires Événements ou jours fériés pour le personnel",
      description:
        "Company Holiday Calendar Plugin est un plugin qui permet aux fonctions de calendrier principalement d'organiser ou de programmer des vacances ou des événements pour une entreprise",
      link: "Explorez le plugin de calendrier de l'entreprise"
    },

    company_shift: {
      title: "Plugin de changement d'entreprise",
      headline: "Surveille les heures de travail d'une entreprise",
      description:
        "Un plugin qui garde une trace des heures de travail d'une entreprise et de la façon dont elles sont réparties entre les employés de l'entreprise.",
      link: "Explorez le plug-in de changement d'entreprise"
    },

    signup: {
      headline: "Obtenez des plugins que vous aimeriez",
      description:
        "Intégrez vos plugins préférés et obtenez une expérience plus excitante",
      link: "Découvrir plus"
    },

    subscribe: {
      headline: "Soyez le premier à recevoir des mises à jour",
      headline_br: "sur les derniers plugins de Zuri Chat",
      description: "Enrichissez votre expérience Zuri Chat en vous abonnant",
      description_br: "ici pour obtenir les derniers plugins via e-mails",
      description_brr: "sur Zuri Chat !",
      button: "S'abonner"
    }
  },

  // About Page
  about: {
    title: {
      about: ""
    },

    banner: {
      headline_one: "Rendre le travail simple, agréable et",
      headline_two: "plus productif.",
      description:
        "est un centre de collaboration qui rassemble les bonnes personnes et les bons outils pour accomplir le travail. Des entreprises Fortune 100 aux marchés de proximité, des millions de personnes dans le monde utilisent Zuri Chat pour connecter leurs équipes, unifier leurs systèmes et faire avancer leur entreprise."
    },

    counter: {
      customers: "Payé",
      customers_: "Les clients",
      fortune_companies: "du Fortune 100",
      fortune_companies_: "utilisation",
      countries: "les pays ont quotidiennement",
      countries_: "utilisateurs actifs dans"
    },

    whoWeAre: {
      title: "Qui sommes-nous et comment nous rejoindre",
      description:
        "Notre mission est d'améliorer la vie professionnelle des gens en fournissant une plate-forme pouvant accueillir une équipe solide et diversifiée, de professionnels créatifs qui souhaitent faire le meilleur travail de leur vie.",
      description_:
        "promet toutes sortes d'opportunités et une vie professionnelle simple, agréable et plus productive."
    },

    highlights: {
      title: "Le télétravail plus intrigant que jamais",
      description:
        "Zuri Chat est l'endroit où le travail rencontre le plaisir.",
      description_:
        "Connectez-vous et interagissez avec votre équipe efficacement depuis n'importe où dans le monde",
      channels: {
        title: "Canaux",
        description: "Organisez les conversations en",
        description_: "espaces appelés canaux"
      },
      holidayCalender: {
        title: "Calendrier des vacances",
        description: "Ajouter des jours fériés, définir des rappels",
        description_: "et voir tous les événements en un coup d'œil"
      },
      companyDeadline: {
        title: "Date limite de l'entreprise",
        description: "Gardez une trace des délais avec",
        description_: "la date limite de l'entreprise",
        description__: "caractéristique"
      },
      quickReply: {
        title: "Application de réponse rapide",
        description: "Obtenez des réponses rapides à Direct",
        description_: "messages"
      },
      todoList: {
        title: "Liste de choses à faire",
        description: "Organiser les tâches avec la liste de tâches",
        description_: "caractéristique"
      }
    },

    features: {
      title: "Caractéristiques spéciales",
      description:
        "Augmentez votre productivité en assemblant tous vos outils de travail en un seul endroit",
      avatar: {
        title: "Salon Avatar animé",
        description: "Créez et animez votre propre avatar dans le salon avatar"
      },
      files: {
        title: "Fichiers d'entreprise",
        description:
          "Accédez à vos fichiers sur Google Drive pendant que vous êtes sur Zuri Chat."
      },
      accessibility: {
        title: "Accessibilité",
        description: "Gardez le contrôle, utilisez Zuri Chat et profitez",
        description_: "les meilleures fonctionnalités d'accessibilité"
      },
      goals: {
        title: "Objectifs de l'entreprise",
        description: "Suivre les objectifs de l'entreprise",
        description_: "directement dans Zuri Chat"
      }
    },

    cta: {
      title:
        "Quel que soit le travail que vous faites, vous pouvez le faire dans Zuri Chat",
      link_sales: "Parlez aux ventes",
      link_try: "Essayez-le gratuitement"
    }
  },

  careers: {
    title: {
      careers: "Carrières"
    },
    section_one: {
      headline: "Carrières chez Zuri Chat",
      post_headline:
        "Passionné de rendre la vie au travail plus simple et plus productive ? Rejoignez notre équipe conviviale et flexible.",
      join_link: "Rejoignez Zuri Chat"
    },
    career_grid: {
      headline: "Rejoignez notre stage",
      post_headline:
        "Zuri Internship est une formation 100% gratuite, à distance et rapide pour les jeunes professionnels cherchant à perfectionner leurs compétences techniques et à booster leur CV.",
      categories: {
        category_frontend: {
          headline: "Développement Front-end",
          post_headline:
            "Cette piste traite de l'aspect de votre application avec lequel les utilisateurs interagissent. Un développeur front-end sera capable d'interpréter correctement une conception donnée à l'interface utilisateur."
        },
        category_backend: {
          headline: "Développement Back-end",
          post_headline:
            "Cette piste traite de l'aspect de l'application avec lequel l'utilisateur n'interagit pas directement. Il permet la fonction frontale soit en exécutant du code back-end, soit en se connectant à la base de données."
        },
        category_design: {
          headline: "Concevoir",
          post_headline:
            "Cette piste traite de la création d'un plan graphique pour une application. Vous apprendrez à convertir la documentation du projet en une conception graphique visible et compréhensible pour les développeurs."
        },
        category_mobile: {
          headline: "Développement Mobile",
          post_headline:
            "La piste mobile contient une liste d'outils et de langages nécessaires à un développeur pour créer des applications mobiles. Une application mobile peut être IOS ou Android."
        },
        category_digital_marketing: {
          headline: "Le marketing numérique",
          post_headline:
            "Il comprend l'utilisation de moyens et d'utilitaires numériques pour augmenter la découvrabilité des produits, des services et des marques."
        },
        category_frameworks: {
          headline: "Cadres",
          post_headline:
            "Au cours du programme, nous explorerons plusieurs frameworks utiles pour vous donner un avantage dans l'industrie et vous aider à développer des applications complexes beaucoup plus rapidement."
        }
      },
      join_cohort:
        "Faites partie de notre prochaine cohorte à partir de l'été 2022",
      register_now: "S'inscrire maintenant"
    },
    section_two: {
      headline: "Travailler et s'épanouir",
      post_headline:
        "Nous offrons des avantages qui vous aident à vous sentir mieux et à faire de votre mieux.",
      digital_wellness: {
        headline: "Bureau d'abord numérique",
        post_headline:
          "Avec des rôles à distance, une intégration sans bureau et des pratiques de travail flexibles, nous sommes prêts pour des réalités, des horaires et des responsabilités en constante évolution."
      },
      just_for_you: {
        headline: "Juste pour toi",
        post_headline:
          "Recevez une allocation annuelle pour le développement professionnel, plus une allocation mensuelle pour couvrir vos besoins; Un nouveau look de travail, un animal de compagnie, tout ce qui compte le plus pour vous."
      },
      health_and_wellness: {
        headline: "Santé et bien-être",
        post_headline:
          "Zuri paie 100 % de vos primes. Nous offrons également l'accès à une gamme de ressources gratuites sur la santé mentale et le bien-être."
      }
    }
  },
  auth: {
    login: {
      title: "Connexion - Zuri Chat",
      form: {
        header: "Connexion",
        sub_header:
          "Connectez-vous avec les données que vous avez saisies lors de votre inscription",
        google_header: "Connectez-vous avec Google",
        topline_text: "OU",
        submitButtonName: "Connexion",
        bottomLine: "Nouveau chez nous ?",
        bottomLink: "Créer un compte",
        signUp: "Inscrivez-vous",
        authInputBox: {
          emailInputName: "Adresse e-mail",
          passwordInputName: "Mot de passe",
          passwordInputPlaceHolder: "Entrer un mot de passe",
          rememberMe: "Souviens-toi de moi",
          forgotPassword: "Mot de passe oublié?",
          getHelp: "Obtenez de l'aide pour vous connecter"
        }
      },
      footer: {
        contactUs: "Nous contacter",
        legacyPolicy: "Politique juridique",
        aboutZuri: "À propos de Zurichat"
      }
    },
    signup: {
      title: "S'inscrire",
      form: {
        header: "Créer un compte",
        googleHeader: "Inscrivez-vous avec Google",
        topLineText: "OU",
        submitButtonName: "S'inscrire",
        bottomLine: "Vous avez déjà un compte?",
        bottomLink: "Connexion",
        input: {
          fullName: "Nom et prénom",
          fullNamePlaceholder: "Entrez votre nom",
          emailAddress: "Adresse e-mail",
          emailAddressPlaceholder: "Entrez votre adresse e-mail",
          password: "Mot de passe",
          passwordPlaceholder: "Entrer un mot de passe"
        }
      },
      privacyAgreement: "Je suis d'accord avec Zurichat",
      termsOfService: "Conditions de services",
      privacy: "Intimité"
    },
    passwordreset: {
      title: "Réinitialiser le mot de passe",
      headline: "Obtenez un nouveau mot de passe",
      post_headline:
        "Entrez l'adresse e-mail avec laquelle vous vous êtes inscrit et un code de réinitialisation vous sera envoyé par e-mail.",
      form: {
        emailAddress: "Adresse e-mail",
        continueButton: "Continuer"
      }
    },
    newPassword: {
      header: "Récupérer mot de passe",
      post_headline: "Créez un nouveau mot de passe pour votre compte",
      form: {
        password: "Mot de passe",
        passwordPlaceholder: "Entrez votre nouveau mot de passe",
        confirmPassword: "Confirmez le mot de passe",
        confirmPasswordPlaceholder: "Confirmez votre nouveau mot de passe",
        continueButton: "Continuer"
      }
    },
    verifyCodeOnPasswordReset: {
      header: "Entrez le code de réinitialisation envoyé à votre courrier",
      success: {
        headline: "Réinitialisation de la vérification du code réussie!",
        post_headline: "Cliquez sur le bouton pour continuer",
        continueButton: "Continuer"
      }
    },
    passwordResetSuccess: {
      headline: "Réinitialisation du mot de passe réussie !",
      post_headline:
        "La réinitialisation de votre mot de passe a réussi ! vous pouvez procéder à la connexion maintenant",
      button: "Continuer à vous connecter"
    },
    signout: {
      title: "Se déconnecter",
      preOrgText: "Déconnecté de l'équipe",
      workspace: "Espace de travail",
      signoutMessage: {
        preOrgText: "Vous avez été déconnecté de l'équipe"
      },
      loginText: "Connexion",
      postLoginText: "vers un autre espace de travail"
    },
    onboardingHelp: {
      title: "Dépannage des problèmes",
      backToHome: "De retour à la maison",
      loginHelp: {
        headline: "Dépannage des problèmes de connexion à ZuriChat",
        post_headline:
          "Si vous rencontrez des problèmes pour vous connecter à votre compte, les éléments suivants peuvent vous aider.",
        list: {
          textOne:
            "Vérifiez si vous utilisez une adresse e-mail et un mot de passe corrects pour vous connecter. Si vous pensez que votre compte a pu être compromis",
          linkOne: "cliquez ici pour réinitialiser votre mot de passe",
          textTwo:
            "Utilisez-vous la dernière version de l'application mobile ou de bureau ZuriChat ? Veuillez vérifier la version actuelle de vos applications. Si vous n'êtes pas sûr de la version que vous utilisez, essayez",
          linkTwo: "mise à jour ou téléchargement de l'application",
          textThree:
            "Si le même problème persiste, veuillez désinstaller l'application, vider le cache de votre téléphone portable et réinstaller.",
          textFour:
            "Si vous utilisez un navigateur, vous avez peut-être utilisé un mauvais mot de passe à partir des suggestions de saisie semi-automatique. Nous vous conseillons de saisir à nouveau manuellement votre adresse e-mail et votre mot de passe ZuriChat",
          textFive:
            "Si toutes les méthodes ci-dessus ne fonctionnent pas, essayez un nouveau navigateur ou essayez de vous connecter en mode navigation privée",
          textSix:
            "Avez-vous un compte chez nous? Si vous n'avez pas de compte ici, vous ne pourrez pas vous connecter. Aller à",
          linkSix: "créer un compte"
        }
      },
      signUpHelp: {
        headline: "Impossible de créer un compte ?",
        post_headline:
          "D'accord, si vous rencontrez des problèmes pour créer un compte, essayez les suggestions ci-dessous",
        list: {
          preTextOne: "Assurez-vous que vous utilisez un",
          strongText: "Adresse e-mail valable",
          postTextOne:
            "et vérifiez votre boîte de réception pour le code d'authentification",
          textTwo:
            "Utilisez un autre appareil ou navigateur pour créer votre compte. Vous pouvez également vider le cache de votre navigateur",
          textThree:
            "Vérifiez le réseau de votre région. Si le réseau est bon, rechargez la page d'inscription",
          textFour:
            "Si vous ne recevez pas de code d'authentification, veuillez patienter 30 minutes et réessayer",
          textFive:
            "Si vous utilisez l'application mobile ou de bureau ZuriChat, mettez à jour vers la dernière version ou vous pouvez",
          linkFive: "télécharger ici"
        }
      },
      support: {
        headline: "Avez-vous encore besoin d'aide?",
        preLinkText:
          "Si vous avez essayé toutes les suggestions ci-dessus mais en vain, veuillez",
        linkText: "contacter le service client de Zuri",
        postLinkText: "pour aider."
      }
    }
  },

  // All Download Pages
  download_desktop: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Découvrez les applications de bureau et mobiles de Zuri Chat",
      post_headline:
        "Se connecter avec votre équipe n'a jamais été aussi facile avec Zuri Chat.",
      desktop_line: "Zuri pour ordinateur de bureau",
      desktop_app: "Télécharger sur Mac App Store",
      desktop_soft: "Obtenez-le de Microsoft",
      mobile_line: "Obtenez-le de Microsoft",
      mobile_app: "Télécharger sur l'App Store",
      mobile_play: "Obtenez le sur Google Play"
    },

    section_two: {
      headline:
        "Téléchargez et profitez de l'expérience Zuri Chat sur n'importe lequel de ces appareils",
      windows: "les fenêtres",
      mac: "macOS",
      ios: "iOS",
      android: "Android"
    },

    section_three: {
      headline: "Même sensation, même équipe sur Zuri App !"
    }
  },
  download_ios: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Téléchargez la version bêta de Zuri Chat pour iOS.",
      post_headline: "Obtenez Zuri Chat DM et chaîne",
      mac_line: "Nous sommes aussi sur Mac",
      mac_description:
        "Suivez la conversation avec nos applications pour Mac, Windows et Linux. Nous pouvons vous envoyer par e-mail un lien de téléchargement rapide pour vous aider à démarrer !",
      button: "OBTENIR LE LIEN DE TÉLÉCHARGEMENT"
    }
  },
  download_mac: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Découvrez Zuri Chat sur MacOS",
      post_headline:
        "Se connecter avec votre équipe n'a jamais été aussi facile avec Zuri Chat.",
      download: "TÉLÉCHARGER",
      download_soft: "Télécharger pour Windows ?"
    },

    section_two: {
      headline: "Pourquoi l'application de chat Zuri ?",
      post_headline:
        "Ne manquez jamais l'expérience de collaboration transparente, même en déplacement, avec le chat pc zuri",
      android: "Android",
      and_break: "et",
      ios: "iOS",
      apps_break: "applications."
    },

    section_three: {
      headline: "Même sensation, même équipe sur Zuri App !",
      download: "TÉLÉCHARGER POUR MAC",
      download_soft: "Télécharger pour Windows ?"
    }
  },
  download_mobile: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Découvrez les applications de bureau et mobiles de Zuri Chat",
      post_headline:
        "Se connecter avec votre équipe n'a jamais été aussi facile avec Zuri Chat."
    },

    section_two: {
      headline:
        "Téléchargez et profitez de l'expérience Zuri Chat sur n'importe lequel de ces appareils",
      windows: "les fenêtres",
      mac: "macOS",
      android: "Android",
      ios: "iOS"
    },

    section_three: {
      headline: "Même sensation, même équipe sur Zuri App !"
    }
  },
  download_windows: {
    title: {
      download: "Télécharger Zuri Chat"
    },

    section_one: {
      headline: "Découvrez Zuri Chat sur Windows",
      post_headline:
        "Se connecter avec votre équipe n'a jamais été aussi facile avec Zuri Chat.",
      download: "TÉLÉCHARGER",
      download_mac: "Télécharger pour Mac ?"
    },

    section_two: {
      headline: "Pourquoi l'application de chat Zuri ?",
      post_headline:
        "Ne manquez jamais l'expérience de collaboration transparente, même en déplacement, avec le chat pc zuri",
      android: "Android",
      and_break: "et",
      ios: "iOS",
      apps_break: "applications."
    },

    section_three: {
      headline: "Même sensation, même équipe sur Zuri App !",
      download: "TÉLÉCHARGER POUR WINDOWS",
      download_ios: "Télécharger pour Mac ?"
    }
  },

  // Workspace Page
  workspace: {
    title: {
      workspace: "Espace de travail - Zuri Chat"
    },

    space: {
      headline: "Choisissez un espace de travail",
      post_headline:
        "Content de te revoir! Choisissez-en un pour reprendre le travail avec votre équipe",
      join_line:
        "Vous souhaitez travailler avec un autre groupe ? ou Prenez en charge et créez votre propre équipe",
      joinbtn: "Créer un espace de travail",
      foot_head: "Vous ne voyez pas votre espace de travail ?",
      foot_link: "Essayez une autre adresse e-mail",
      open: "Ouvert",
      selected: "choisi",
      errno: "quatre cent un",
      errmsg: "Vous n'êtes pas connecté !",
      errlink: "Connectez-vous ici.",
      err_no: "quatre cent quatre",
      err_msg: "Oups, quelque chose s'est mal passé ! Aller à",
      err_link: "zuri.chat"
    }
  },

  //Why Zuri Page
  why_zuri_chat: {
    title: "Rencontrez Zuri Chat - une alternative Slack abordable",
    hero_paragraph1:
      "Si vous recherchez l'alternative parfaite à Slack, ne cherchez pas plus loin.",
    hero_paragraph2:
      "Zuri Chat a pour mission de simplifier la vie professionnelle individuelle et d'augmenter la productivité avec un hub collaboratif intrigant alimenté par l'intelligence artificielle et soutenu par DAO.",
    blog_content_header: "Pourquoi Zuri Chat?",
    text_wrap1: "Clarté",
    text_wrap1_p:
      "Une exécution efficace des tâches est essentielle pour faire avancer votre entreprise, et Zuri Chat vous aide à en faire plus. Notre plugin Company Deadline facilite la gestion des tâches pour les collaborations de toutes tailles, des startups aux entreprises mondiales. Optimisez vos flux de travail en suivant l'état, en surveillant les progrès et en discutant des problèmes.",
    text_wrap2: "La vitesse",
    text_wrap2_p:
      "Zuri Chat comprend que le temps c'est de l'argent dans la sphère des affaires. Notre plugin Zuri Chat Dm Reply vous fait gagner du temps en communication. Ce besoin de vitesse est satisfait par l'optimisation de la communication en temps réel, un partage de fichiers deux fois plus rapide et des notifications personnalisées, pour que vous ne manquiez jamais rien ; annonces, mises à jour de l'état des tâches, appels, etc.",
    text_wrap3: "Capacité de rétention",
    text_wrap3_p:
      "Chaque entreprise ou équipe a besoin d'espace pour se développer. En ce qui concerne le stockage de fichiers, la meilleure alternative à Slack se trouve dans Zuri Company Files, car nous offrons à tous nos clients deux fois plus d'espace de stockage, ce qui vous permet de stocker et de partager plusieurs fichiers lorsque vous collaborez au sein de votre équipe.",
    text_wrap4: "Productivité optimisée",
    text_wrap4_p:
      "Améliorez les performances de votre équipe et renforcez le moral avec un système de rémunération basé sur des jetons. Les plugins Zuri Chat sont conçus pour stimuler la collaboration et réduire le temps passé sur les réunions, les e-mails et les interactions entre collègues et encourager la progression de l'équipe vers des objectifs commerciaux partagés avec des récompenses.",
    text_wrap5: "Superbe facilité",
    text_wrap5_p:
      "Nous ne vous surchargerons pas de fonctionnalités déroutantes ou distrayantes. Zuri Chat est un centre d'équipe facile à démarrer et à utiliser avec une interface utilisateur intuitive et claire comme du cristal.",
    text_wrap6: "Rétention illimitée des messages",
    text_wrap6_p:
      "Ne manquez jamais un seul message. Zuri Chat Dm Reply est accessible dès le premier message car tout ce qui est écrit dans Zuri Chat reste dans Zuri Chat. Pas de frais cachés. Pas de limites.",
    text_wrap7: "Toujours disponible pour aider",
    text_wrap7_p:
      "Rencontrer un obstacle? tu as une question? Notre équipe d'assistance 24h/24 et 7j/7 fera des pas supplémentaires et parcourra des kilomètres supplémentaires pour vous garantir une expérience simple et agréable avec Zuri Chat.",
    bottom_card: "Votre équipe aimerait certainement",
    bottom_link: "S'inscrire maintenant!"
  }
}
